package com.eactive.eai.adapter.listener; 

/** 
* 1. 기능 : Adapter 통신 시 예외처리를 위한 Exception
* 2. 처리 개요 : 
* *     - Adapter 예외처리
* 3. 주의사항 
*
* @author  : 
* @version : v 1.0.0
* @see : TestCall
* @since   :JDK v1.4.2
*/
public class AdapterException extends Exception
{ 
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
     * 1. 기능 : Default 생성자 함수
     * 2. 처리 개요 : 
     *    - Default 생성자 함수
     * 3. 주의사항
     *
     **/
    public AdapterException() {
        super("AdapterException is occured.");
    }
    
    /**
     * 1. 기능 : Exception 발생 원인을 저장하는 생성자 함수
     * 2. 처리 개요 : 
     *    - Exception 발생 원인을 저장하는 생성자 함수
     * 3. 주의사항
     *
     *@param    msg Exception 발생 원인
     **/
    public AdapterException(String msg) {
        super(msg);   
    }
} 
